
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
  mapper-locations: classpath*:/mapper/**/*.xml

logging:
  level:
    rd: debug
    druid.sql.Statement: trace
  pattern:
    console: "%clr(%d{yyyy-MM-dd HH:mm:ss.SSS}){faint} %clr(${LOG_LEVEL_PATTERN:-%5p}) %clr(${PID:- }){magenta} %clr(---){faint} %clr([%15.15t]){faint} %clr(%-40.40logger{39}){cyan} %clr(:){faint} %m%n${LOG_EXCEPTION_CONVERSION_WORD:%wEx}"
    file: "%d{${LOG_DATEFORMAT_PATTERN:-yyyy-MM-dd'T'HH:mm:ss.SSSXXX}} ${LOG_LEVEL_PATTERN:-%5p} ${PID:- } --- [%t] %-40.40logger{39} : %m%n${LOG_EXCEPTION_CONVERSION_WORD:%wEx}"

spring:
  task:
    execution:
      pool:
        core-size: 16
        max-size: 32
        queue-capacity: 128
        keep-alive: 90s
  devtools:
    restart:
      enabled: true
  data:
    redis:
      client-name: neolaf
      host: 127.0.0.1
      port: 6379
      password: Test2333!
      database: 0

  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://127.0.0.1:5432/little_busters?useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=Asia/Shanghai
    username: postgres
    password: Test2333!

server:
  address: 127.0.0.1
  port: 8800
  servlet:
    context-path: /

sa-token:
  token-name: auth-token
  is-concurrent: true

rd:
  WusthelperBaseUrl: https://wusthelper.wustlinghang.cn/mobileapi/v2
